Package org.apache.qpid.proton.engine

# Interface Record

All Known Implementing Classes:
  `RecordImpl`

public interface Record
Record

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`<T> T`
`get(Object key, Class<T> klass)`
`<T> void`
`set(Object key, Class<T> klass, T value)`

## Method Details

### get

<T> T get(Object key, Class<T> klass)

### set

<T> void set(Object key, Class<T> klass, T value)

### clear

void clear()